Subject: bug#11286: 24.1.50; xml-parse-region returns "Invalid character" if last line is a comment

From: Thamer Mahmoud <[email-masked]>
Date: Fri, 20 Apr 2012 10:55:28 +0300

Hi,

While using nnrss.el I've been getting the following error with some of
my feeds:

Not valid XML (error XML: (Well-Formed) Invalid character) and w3-parse doesn't work (void-function w3-parse-buffer)

Looking at the feeds in question, I noticed that the last line is a
comment. Once I deleted the comment line nnrss.el worked fine. The
following extract reproduces the error:

(with-temp-buffer
  (insert "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
	  "<rss version=\"2.0\">\n"
	  "</rss>\n"
	  "<!-- this line causes an error -->\n")
  (xml-parse-region (point-min) (point-max)))

The above extract works fine in Emacs 23 so this seems like a
regression.

Thanks.

In GNU Emacs 24.1.50.1 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2012-04-19 on zemblan
Bzr revision: 107966 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.10707000
Configured using:
 `configure '--with-x-toolkit=lucid' '--without-gconf'
 '--without-selinux''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

-- 
Thamer